not compatible ff 24 Rated 1 out of 5 stars

Not compatible with FF 24 :(

compatibility issues :/ Rated 3 out of 5 stars

Not compatible with "self destructing cookies addon" :/